Loading...
Searching...
No Matches
Level::VTag Struct Reference

`#include <level.h>`

## Public Types

typedef unsigned short | VTagSize

## Public Member Functions

| VTag ()
void | clear ()
| VTag (VTagSize bits)
VTagSize | getBits () const

## Static Public Member Functions

static VTag | BitwiseOr (VTag const vTags[], int size=4)

## Public Attributes

VTagSize | _nonManifold: 1
VTagSize | _xordinary: 1
VTagSize | _boundary: 1
VTagSize | _corner: 1
VTagSize | _infSharp: 1
VTagSize | _semiSharp: 1
VTagSize | _semiSharpEdges: 1
VTagSize | _rule: 4
VTagSize | _incomplete: 1
VTagSize | _incidIrregFace: 1
VTagSize | _infSharpEdges: 1
VTagSize | _infSharpCrease: 1
VTagSize | _infIrregular: 1

## Detailed Description

Definition at line 97 of file level.h.

## Member Typedef Documentation

## VTagSize

typedef unsigned short VTagSize

Definition at line 105 of file level.h.

## Constructor & Destructor Documentation

## VTag() [1/2]

VTag | ( |  | ) |

inline

Definition at line 98 of file level.h.

## VTag() [2/2]

VTag | ( | VTagSize | bits | ) |

inline explicit

Definition at line 129 of file level.h.

## Member Function Documentation

## BitwiseOr()

VTag BitwiseOr | ( | VTag const | vTags[],
|  | int | size = 4 )

static

## clear()

void clear | ( |  | ) |

inline

Definition at line 103 of file level.h.

## getBits()

VTagSize getBits | ( |  | ) | const

inline

Definition at line 132 of file level.h.

## Member Data Documentation

## _boundary

VTagSize _boundary

Definition at line 109 of file level.h.

## _corner

VTagSize _corner

Definition at line 110 of file level.h.

## _incidIrregFace

VTagSize _incidIrregFace

Definition at line 121 of file level.h.

## _incomplete

VTagSize _incomplete

Definition at line 120 of file level.h.

## _infIrregular

VTagSize _infIrregular

Definition at line 126 of file level.h.

## _infSharp

VTagSize _infSharp

Definition at line 111 of file level.h.

## _infSharpCrease

VTagSize _infSharpCrease

Definition at line 125 of file level.h.

## _infSharpEdges

VTagSize _infSharpEdges

Definition at line 124 of file level.h.

## _nonManifold

VTagSize _nonManifold

Definition at line 107 of file level.h.

## _rule

VTagSize _rule

Definition at line 114 of file level.h.

## _semiSharp

VTagSize _semiSharp

Definition at line 112 of file level.h.

## _semiSharpEdges

VTagSize _semiSharpEdges

Definition at line 113 of file level.h.

## _xordinary

VTagSize _xordinary

Definition at line 108 of file level.h.

The documentation for this struct was generated from the following file:

- opensubdiv/vtr/level.h